Bug 293453 - plasma panel forgets original size and position and uses minimal possible size after screen size change
Summary: plasma panel forgets original size and position and uses minimal possible siz...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Plasma
Component: panel (show other bugs)
Version: 4.9.0
Platform: Ubuntu Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-06 15:03 UTC by Achim Bohnet
Modified: 2018-06-08 18:58 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
1: Panel before the screen size change (75.24 KB, image/png)
2012-02-06 15:03 UTC, Achim Bohnet
Details
2: Panel after the screen size change (KDE SC 4.7) (47.60 KB, image/png)
2012-02-06 15:04 UTC, Achim Bohnet
Details
3: Panel after the screen size change (KDE SC 4.8) (50.56 KB, image/png)
2012-02-06 15:05 UTC, Achim Bohnet
Details
4: Panel after the screen size change (KDE SC 4.8), and ksnapshot usage (44.84 KB, image/png)
2012-02-06 15:06 UTC, Achim Bohnet
Details
Minimized Panel in 4.9. I'ts ~ 60% of original size it had before off/on (72.69 KB, image/png)
2012-09-14 12:12 UTC, Achim Bohnet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Achim Bohnet 2012-02-06 15:03:40 UTC
Created attachment 68558 [details]
1: Panel before the screen size change

Version:           unspecified (using KDE 4.8.0) 
OS:                Linux

Unfortunately Linux (at least with Intel GFX) has sometimes problems with a changeing single/dual monitor setup to turn video signal on. Switch off/on display with xrandr --off then --auto fixes this.

The 'use-minimal-size' bug sometimes happens with dualmonitor setup manipulations with krandrtray, but it's always reproducable with xrandr
(see 'Steps to reproduce' below)



Reproducible: Always

Steps to Reproduce:
Open a empty panel, move to the right, height not maximized.  Add a task manager.  See panel-size-bug-1.png

xrandr --output DP1 --off
sleep 1
xrandr --output DP1 --auto

Now panel uses minimal possible height.  See panel-siz-bug-2.png (KDE SC 4.7) and panel-size-bug-3.png (KDE SC 4.8).  In 4.8 it also jumps to the upper right corner, while in kde 4.7 the center is unchanged.

Actual Results:  
Panel (right-side) uses minimal possible height

Expected Results:  
Panel uses same position and size as before the screen size change and back

In KDE 4.8 after xrandr --off/--auto, the panel is minimal in upper right but below the panel at the top.  When After I made the screenshot  panel-size-bug-3.png the panel moved 'magically' under'the panel at the top.  See  panel-size-bug-4.png
Comment 1 Achim Bohnet 2012-02-06 15:04:51 UTC
Created attachment 68560 [details]
2: Panel after the screen size change (KDE SC 4.7)
Comment 2 Achim Bohnet 2012-02-06 15:05:33 UTC
Created attachment 68561 [details]
3: Panel after the screen size change (KDE SC 4.8)
Comment 3 Achim Bohnet 2012-02-06 15:06:26 UTC
Created attachment 68562 [details]
4: Panel after the screen size change (KDE SC 4.8), and ksnapshot usage
Comment 4 Achim Bohnet 2012-02-06 15:12:14 UTC
Note: as you can see in the screenshots: after the screen change the 'plasma nut' icon (to start 'configure panel' off the panel) at the top right is always not refreshed and a black rectangle.  Moving with the mouse over the area is enough to make the icon be drawn.
Comment 5 Antonio Orefice 2012-09-11 14:15:09 UTC
I've a different setup, with different problem, but probably related.
On a dual head setup, i've panels on left and right head.
If i disable a head all of the other panels will move to the active one, but when i enable the disabled head, the panels will remain on the wrong head and did not come back to the original position
Comment 6 Achim Bohnet 2012-09-14 12:02:02 UTC
Still there in 4.9.0.

Icon-only taskmanager is even 'forced' into 2 row mode with small rect shape instead of 1 row before the off/on where the taks-icons have square shape and 2 as big.  See 4.9 screenshot attachment.

Achim
Comment 7 Achim Bohnet 2012-09-14 12:12:46 UTC
Created attachment 73908 [details]
Minimized Panel in 4.9.   I'ts ~ 60% of original size it had before off/on
Comment 8 Mika Norén 2013-10-09 23:54:49 UTC
Another similar situation that might be related:

Whenever I use a full screen application, (i.e. games ) all widgets, panels and stuff will forget their positions and won't restore once the full screen application quits.

One have to manually put everything back again after each time a full screen application has been used.
Comment 9 Martin Runge 2014-05-09 09:50:35 UTC
Same in KDE SC 4.13.0 (running on Kubuntu 12.04) 
When using KDE inside a virtual machine, the panel's hight is always restored to the default value when the size of the virtual machine's window is changed (which results in a changed screen resolution in the guest).  
Same on a physical machine when changing screen resulution via: K-Menu -> System Settings -> Display & Monitor -> Size & Orientation.
Comment 10 Nate Graham 2018-06-08 18:58:44 UTC
Hello!

This bug report was filed for KDE Plasma 4, which reached end-of-support status in August 2015. KDE Plasma 5's desktop shell has been almost completely rewritten for better performance and usability, so it is likely that this bug is already resolved in Plasma 5.

Accordingly, we hope you understand why we must close this bug report. If the issue described  here is still present in KDE Plasma 5.12 or later, please feel free to open a new ticket in the "plasmashell" product after reading https://community.kde.org/Get_Involved/Bug_Reporting

If you would like to get involved in KDE's bug triaging effort so that future mass bug closes like this are less likely, please read https://community.kde.org/Get_Involved#Bug_Triaging

Thanks for your understanding!

Nate Graham